events.listen('jei.information', function (e) {
    function info(item, text) {
        e.add(item, text)
    }
    info('allthemodium:molten_bluelava_bucket', ['Soul Lava appears occasionally in Soul Sand Valleys and Basalt Deltas.', '(Small source blocks only - no pools.)'])
    info('allthemodium:allthemodium_ore', ['Check all the oceans for Allthemodium.', '(Y 5-45)'])
    info('allthemodium:vibranium_ore', ['Vibranium can be found at higher altitudes in the Crimson and Warped forests.', '(Y 80-127)'])
    info('allthemodium:unobtainium_ore', ['Unobtainium can be obtained in the End Highlands.'])
})
events.listen('jei.add.items', function (e) {
    e.add([
      'minecraft:dragon_egg'
    ])
})

events.listen('jei.hide.items', function (e) {
    e.hide([
'mekanismgenerators:solar_panel',
        'mekanismgenerators:solar_generator',
        'mekanismgenerators:advanced_solar_generator',
        /*'fluidtank:fluid_source',
        'fluidtank:chest_as_tank',
        'fluidtank:pipe',
        'fluidtank:item_pipe',*/
        'appliedenergistics2:silicon',
        'appliedenergistics2:iron_dust',
        'appliedenergistics2:gold_dust',
        'appliedenergistics2:flour',
        '@curios',
        '/pedestals:dust.+/',
        '/engineerstools:.+_grit/'
    ])
    function hideMetal(mod, name, types){
        utils.listOf(types).forEach(function(type) {
            const id = mod === 'immersiveengineering' ? `${mod}:${type}_${name}` : `${mod}:${name}_${type}`
            if(!ingredient.of(id).empty){
                e.hide(id)
            }
        })
    }
    //Hide metals, format: [mod],[metal],[types]
    hideMetal(['immersiveengineering','mekanism'],['copper','zinc','silver','aluminum','uranium','lead','nickel','tin'],['ingot','ore','dust','nugget','storage','block'])
    //hideMetal('immersiveengineering','electrum',['ingot','dust','nugget','storage'])
    hideMetal(['immersiveengineering'],'steel',['ingot','dust','nugget','storage'])
})